plugin.tx_browser_pi1 {
  navigation {
    map {
      marker {
					// empty statement for proper comments only
				variables {
				}
					// system
				variables =
        variables {
						// empty statement for proper comments only
          system {
					}
            // category, categoryIconLegend, categoryIconMap, categoryOffsetX, categoryOffsetY
          system =
          system {
              // [STRING] category label in the filter
            category = TEXT
            category {
                // [STRING] table.field. Example: tx_org_headquarterscat.title
              field = {$plugin.tx_browser_pi1.map.marker.field.category}
            }
              // Returns the icon as an HTML image tag
            categoryIconLegend = IMAGE
            categoryIconLegend {
              file {
                  // [STRING] Path to the directory with the category icons (with ending slash). Example: uploads/tx_org/ Default: uploads/media/
                import = {$plugin.tx_browser_pi1.map.design.path.categoryIcon}
                import {
                    // [STRING] table.field. Example: tx_org_headquarterscat.icons
                  field = {$plugin.tx_browser_pi1.map.marker.field.categoryIcon}
                    // [INTEGER] Position of the icon in the list of icons in the database. 1st position: 0. 2nd position: 1. 3rd position: 2. ...
                  listNum = {$plugin.tx_browser_pi1.map.icon.listNum.categoryIconLegend}
                }
              }
            }
              // [STRING] path to the category icon for the map without FAL
            categoryIconMapList = COA
            categoryIconMapList {
                // Directory
              10 = TEXT
              10 {
                  // [STRING] Path to the directory with the category icons (with ending slash). Example: uploads/tx_org/ Default: uploads/media/
                value = {$plugin.tx_browser_pi1.map.design.path.categoryIcon}
              }
								// list view, if.isFalse markerUid or routeUid
							20 = TEXT
							20 {
									// [STRING] table.field. Example: tx_org_headquarterscat.icons
								field = {$plugin.tx_browser_pi1.map.marker.field.categoryIcon}
									// [INTEGER] Position of the icon in the list of icons in the database. 1st position: 0. 2nd position: 1. 3rd position: 2. ...
								stdWrap {
									listNum = {$plugin.tx_browser_pi1.map.icon.listNum.categoryIconMap}
								}
							}
            }
            categoryIconMapListFAL < .categoryIconMapList
              // [STRING] path to the category icon for the map with FAL
            categoryIconMapListFAL = COA
            categoryIconMapListFAL {
                // Directory isn't needed
              10 >
            }
						categoryIconMapSingle < .categoryIconMapList
              // [STRING] path to the category icon for the map without FAL
            categoryIconMapSingle = COA
            categoryIconMapSingle {
							20 {
								stdWrap {
									listNum = {$plugin.tx_browser_pi1.map.icon.listNum.categoryIconMapSingle}
								}
							}
            }
            categoryIconMapSingleFAL < .categoryIconMapSingle
              // [STRING] path to the category icon for the map with FAL
            categoryIconMapSingleFAL = COA
            categoryIconMapSingleFAL {
                // Directory isn't needed
              10 >
            }
              // [INTEGER] x-offset of the current icon in pixel
            categoryOffsetX = TEXT
            categoryOffsetX {
                // [STRING] table.field. Example: tx_org_headquarterscat.icon_offset_x
              field = {$plugin.tx_browser_pi1.map.marker.field.categoryOffsetX}
            }
              // [INTEGER] y-offset of the current icon in pixel
            categoryOffsetY = TEXT
            categoryOffsetY {
                // [STRING] table.field. Example: tx_org_headquarterscat.icon_offset_y
              field = {$plugin.tx_browser_pi1.map.marker.field.categoryOffsetY}
            }
          }
        }
      }
    }
  }
}