SELECT
    COUNT(
        DISTINCT tx_quickshop_products.uid
    ) AS 'hits',
    tx_quickshop_categories.uid AS 'tx_quickshop_categories.uid'
FROM
    tx_quickshop_products
LEFT JOIN tx_quickshop_mm AS tx_quickshop_products_mm_tx_quickshop_categories
ON
    (
        tx_quickshop_products.uid = tx_quickshop_products_mm_tx_quickshop_categories.uid_local 
				AND tx_quickshop_products_mm_tx_quickshop_categories.table_local = "tx_quickshop_products" 
				AND tx_quickshop_products_mm_tx_quickshop_categories.table_foreign = "tx_quickshop_categories"
    )
LEFT JOIN tx_quickshop_categories ON(
        tx_quickshop_products_mm_tx_quickshop_categories.uid_foreign = tx_quickshop_categories.uid
    )
WHERE
    tx_quickshop_products.pid IN(21695) AND tx_quickshop_products.sys_language_uid <= 0
GROUP BY
    tx_quickshop_categories.title
ORDER BY
    tx_quickshop_categories.title ASC