plugin.tx_browser_pi1 {
  displayList {
      // empty statement: for proper comments only
    master_templates {
    }
      // radialsearch
    master_templates =
    master_templates {
        // [Array] conf, content. Master template for a radialsearch with a sword input and a radius select box. You are needing the extension radialsearch!
      radialsearch = RADIALSEARCH
      radialsearch {
          // [Array] constanteditor
        conf =
        conf {
            // [Array] lat, lon, radius, sword
          constanteditor =
          constanteditor {
              // [BOOLEAN] true (recommended): If a coordinate is 0,0, it won't handled and won't displayed
            coordinatesNotEmpty = {$plugin.tx_browser_pi1.map.controlling.dontHandle00Coordinates}
              // Distance: field label for the distance. Field isn't part of your database. Field will generated while runtime and will added to SELECT statements. Example: distance, Don't use tableField syntax like tx_myext_main.distance: You will get an SQL error!
            distance    = {$plugin.tx_radialsearch_pi1.distance.fieldLabel}
              // [String] Latitude: table.field label for the latitude. Example: tx_myext_address.lat, tx_org_headquarters.mail_lat
            lat         = {$plugin.tx_browser_pi1.radialsearch.lat}
              // [String] Longitude: table.field label for the longitude. Example: tx_myext_address.lon, , tx_org_headquarters.mail_lon
            lon         = {$plugin.tx_browser_pi1.radialsearch.lon}
              // [String] Radius: HTML name of the select box with the radius options.
            radius      = {$plugin.tx_browser_pi1.radialsearch.radius}
              // [String] Display hits. Options: Within the radius only, Within and without the radius
            searchmode  = {$plugin.tx_browser_pi1.radialsearch.searchmode}
              // [String] Sword: HTML name of the input field for the search word (sword).
            sword       = {$plugin.tx_browser_pi1.radialsearch.sword}
              // [String] uid: table.field label for the uid. Example: tx_myext_address.uid,
            uid         = {$plugin.tx_browser_pi1.radialsearch.uid}
          }
            // [Array] admin_code1, country_code
          filter < plugin.tx_radialsearch_pi1.res.js.tx_radialsearch_pi1.filter
            // [Array] GETPOST: fieldradius, fieldsword, parameter
          gp < plugin.tx_radialsearch_pi1.gp
        }
          // [Array] plugin.tx_radialsearch_pi1, plugin.tx_radialsearch_pi2
        content = COA
        content {
          wrap = <div class="filter-radialsearch">|</div>
          10 < plugin.tx_radialsearch_pi1
          20 < plugin.tx_radialsearch_pi2
        }
      }
    }
  }
}