plugin.tx_browser_pi1 {
  navigation {
			// caseSensitive, charset, classes, defaultTab, defaultTabWrap, display, field, tabs
    indexBrowser =
    indexBrowser {
        // [Boolean] Are initials of the tabs case sensitive?
      caseSensitive = 0
        // [STRING] (auto || iso || utf): Manual configuring of using multibyte methods
      charset = auto
				// a, tab
      classes =
      classes {
        // a-tag: default, empty
        a =
        a {
          default = ui-tabs-anchor
          empty   = ui-tabs-anchor without-href
        }
        // tab-wrap: active, default
        tab =
        tab {
          active  = ui-state-default ui-corner-top tab-###TAB### tab-###KEY### ui-tabs-active ui-state-active selected
          default = ui-state-default ui-corner-top tab-###TAB### tab-###KEY###
        }
      }
        // typolink
      default = 
      default {
					// parameter, additionalParams, useCacheHash. BE AWARE: this won't rendered as a typolinks property
        typolink =
        typolink {
							// url, target, class, title. This will rendered as typolinks property parameter.
					parameter =
					parameter {
						cObject = COA
						cObject {
								// url
							10 = TEXT
							10 {
								data = page:uid
							}
								// target
							20 = TEXT
							20 {
								value       = -
								noTrimWrap  = | "|"|
							}
								// class
							30 = TEXT
							30 {
								value = ###CLASS###
								noTrimWrap  = | "|"|
							}
								// title
							40 = TEXT
							40 {
								value = ###TITLE### 
								stdWrap {
									stripHtml         = 1
									htmlSpecialChars  = 1
								}
								noTrimWrap  = | "|"|
							}
						}
					}
						// no_cache
					additionalPiVars = 
					additionalPiVars {
						no_cache = 1
					}
				}
      }
        // [INTEGER] The key/id of the default tab (see the 'x' in indexBrowser.tabs.x). If the user didn't activate any tab, this is the current tab.
      defaultTab = 0
      defaultTab {
          // [BOOLEAN] Display the name of the default tab in the URL path
        display_in_url = 0
      }
        // [STRING] The default wrap for all tabs. If you need a wrap for only one tab, please use the wrap property of that tab.
      defaultTabWrap = <span>|</span>
				// tabHrefTitle, tabWithoutItems
      display =
      display {
          // [Boolean] Should tabs use the title porperty of the HTML a tag?
        tabHrefTitle    = 1
          // [Boolean] Should tabs displayed, if they haven't any item?
        tabWithoutItems = 1
      }
        // [STRING, syntax: table.field]: If you want to use another field than the first field of your SQL query.
      field =
				// 0 .. 25
      tabs =
      tabs {
          // Tab with the property special (all): special, stdWrap
        0 = All
        0 {
            // [STRING] (all || others): Display all items
          special =  all
          stdWrap {
            data = LLL:EXT:browser/Classes/Plugins/Pi1/locallang.xml:label_indexBrowser_all
          }
        }
					// valuesCSV, displayWithoutItems
        1 = 0-9
        1 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  0,1,2,3,4,5,6,7,8,9
            // Don't use the default value displayWithoutItems. Display this tab only, if it has items
          displayWithoutItems = 0
        }
					// valuesCSV
        2 = A
        2 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  A
        }
					// valuesCSV
        3 = B
        3 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  B
        }
					// valuesCSV
        4 = C
        4 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  C
        }
					// valuesCSV
        5 = D
        5 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  D
        }
					// valuesCSV
        6 = E
        6 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  E
        }
					// valuesCSV
        7 = F
        7 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  F
        }
					// valuesCSV
        8 = G
        8 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  G
        }
					// valuesCSV
        9 = H
        9 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  H
        }
					// valuesCSV
        10 = I
        10 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  I
        }
					// valuesCSV
        11 = J
        11 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  J
        }
					// valuesCSV
        12 = K
        12 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  K
        }
					// valuesCSV
        13 = L
        13 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  L
        }
					// valuesCSV
        14 = M
        14 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  M
        }
					// valuesCSV
        15 = N
        15 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  N
        }
					// valuesCSV
        16 = O
        16 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  O
        }
					// valuesCSV
        17 = PQ
        17 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  P, Q
        }
					// valuesCSV
        18 = R
        18 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  R
        }
					// valuesCSV
        19 = S
        19 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  S
        }
					// valuesCSV
        20 = T
        20 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  T
        }
					// valuesCSV
        21 = U
        21 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  U
        }
					// valuesCSV
        22 = V
        22 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  V
        }
					// valuesCSV
        23 = W
        23 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  W
        }
					// valuesCSV
        24 = XYZ
        24 {
            // [CSV-STRING] List of comma separated initials (an initial has one digit only)
          valuesCSV =  X, Y, Z
        }
          // Tab with the property special (others): displayWithoutItems, special, stdWrap
        25 = Others
        25 {
            // Don't use the default value displayWithoutItems. Display this tab only, if it has items
          displayWithoutItems = 0
            // [STRING] (all || others): Display all items which aren't matched by the other tabs
          special = others
          stdWrap {
            data = LLL:EXT:browser/Classes/Plugins/Pi1/locallang.xml:label_indexBrowser_others
          }
        }
      }
        // Workaround for UTF8: latin1
      workaround =
      workaround {
          // [BOOLEAN] Workaround for the index browser in case of trouble with UTF8: Send the SQL query 'SET NAMES latin1' before other any query.
        latin1 = {$plugin.tx_browser_pi1.navigation.indexbrowser.workaroundLatin1}
      }
    }
  }
}