<?php

/* * ************************************************
 * 
 * See:
 * https://docs.typo3.org/typo3cms/extensions/browser/
 * Docs » Integrators » Real URL
 * 
 * ************************************************* */

// Use next line for check, if include_once() from below is successful
//die('died in' . __FILE__ );


/* * ************************************************
 * 
 * Default real URL configuration
 * 
 * ************************************************* */

$TYPO3_CONF_VARS[ 'EXTCONF' ][ 'realurl' ] = array
		(
		'_DEFAULT' => array
				(
				'init' => array
						(
						'respectSimulateStaticURLs' => 0,
						'enableCHashCache' => 1,
						'appendMissingSlash' => 'ifNotFile',
						'enableUrlDecodeCache' => 1,
						'enableUrlEncodeCache' => 1,
						'reapplyAbsRefPrefix' => 1,
						'postVarSet_failureMode' => 'redirect_goodUpperDir',
				),
				'pagePath' => array
						(
						'type' => 'user',
						'userFunc' => 'EXT:realurl/class.tx_realurl_advanced.php:&tx_realurl_advanced->main',
						'spaceCharacter' => '-',
						'languageGetVar' => 'L',
						'expireDays' => 7,
						'rootpage_id' => $rootPids[ $_SERVER[ 'HTTP_HOST' ] ],
						'firstHitPathCache' => 1,
				),
				'preVars' => array
						(
						array
								(
								'GETvar' => 'no_cache',
								'valueMap' => array
								(
								//'nc' => 1, // removed because of cookies and treeview
								),
								'noMatch' => 'bypass',
						),
				),
				// configure filenames for different pagetypes
				'fileName' => array(
						'index' => array(
								'druck.html' => array(
										'keyValues' => array(
												'type' => 98,
										),
								),
								'pdf.html' => array(
										'keyValues' => array(
												'type' => 123,
										),
								),
						),
				),
		),
);
